import { BASE, compile, readSchema } from '../index';
import fs from 'fs';

export function main(argv: Array<string>) {
    console.log('// ' + JSON.stringify(argv));
    const src = fs.readFileSync(__dirname + '/../../../../../../schema/schema.txt', 'utf-8');
    const sch = readSchema(src);
    console.log(compile(
        [{ moduleName: 'BASE', modulePath: 'BASE', schema: BASE, inline: true }],
        sch,
        '@preserves/core'));
}
